<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fjhx.mes.mapper.assembly.AssemblyLineMapper">
    <select id="getPage" resultType="com.fjhx.mes.entity.assembly.vo.AssemblyLineVo">
        SELECT
            al.id,
            al.workshop_id,
            w.`name` workshopName,
            al.type,
            al.NAME,
            al.person_liable_id,
            al.remarks
        FROM
            assembly_line al
                JOIN workshop w ON al.workshop_id = w.id
            ${ew.customSqlSegment}
    </select>

</mapper>
